

local Menu = Game:addState("Menu")

function Menu:enteredState()
	
	
end



function Menu:draw()
	
	love.graphics.setFont(self.font[6])
	love.graphics.printf("Fives", 0, 20, self.ui.winX, "center")
	
	local y
	if self.isFS then y = 180 else y = 110 end
	love.graphics.setFont(self.font[3])
	love.graphics.printf("a remake by riidom", 0, y, self.ui.winX, "center")
	
	local explwidth, exX = self.winX * 0.5
	if self.isFS then y = 320 exX = 200 else y = 160 exX = 20 end
	love.graphics.setFont(self.font[1])
	love.graphics.printf("- balls appear each round\n  - you get warned by the small ones\n- if there are five in a row, they disappear\n- move balls by first clicking one,\n  then click on a coloured empty field\n- stay alive and gather points as long as possible!", exX, y, explwidth)
	love.graphics.printf("Bomb special\n- will destroy balls of any size around it\nLocked special\n- cant be moved, but gives more points\nRecolor special\n- recolors all balls of one color to another,\n  both randomly picked", exX + explwidth, y, (self.winX - explwidth)*0.9)
	if self.isFS then y = self.winY * 0.8 else y = 300 end
	love.graphics.setFont(self.font[3])
	love.graphics.printf("PRESS ENTER OR MOUSE TO CONTINUE\npress escape to quit\ntab for fullscreen on/off", 0, y, self.ui.winX, "center")
	
end



function Menu:keypressed(key)
	
	if key == "return" then self:gotoState("BallsTurn")
	elseif key == "escape" then love.event.quit()
	elseif key == "tab" then self:toggleFullscreen()
	end
	
end


function Menu:mousepressed(x, y, mb)
	
	if mb >= 1 then self:gotoState("BallsTurn") end
	
end


--[[																											--
[[--------------------------------------------------------]]
--																										--]]--



local Gameover = Game:addState("Gameover")

function Gameover:enteredState()
	
	
end



function Gameover:draw()
	
	love.graphics.setFont(self.font[5])
	love.graphics.printf("No more Fives for you!", 0, 20, self.ui.winX, "center")
	
	local y
	if self.isFS then y = 180 else y = 110 end
	love.graphics.setFont(self.font[3])
	love.graphics.printf("You got "..self.displayStats.score.. " points\nin "..self.displayStats.turns.." turns.", 0, y, self.ui.winX, "center")
	
	if self.isFS then y = self.winY * 0.8 else y = 300 end
	love.graphics.setFont(self.font[3])
	love.graphics.printf("PRESS ENTER OR MOUSE TO CONTINUE\npress escape to quit\ntab for fullscreen on/off", 0, y, self.ui.winX, "center")
	
end



function Gameover:keypressed(key)
	
	if key == "return" then love.load()
	elseif key == "escape" then love.event.quit()
	elseif key == "tab" then self:toggleFullscreen()
	end
	
end


function Gameover:mousepressed(x, y, mb)
	
	if mb >= 1 then love.load("BallsTurn") end
	
end


