
Spielfeld = require"spielfeld"

local Player_Wait1st = Game:addState("Player_Wait1st")

function Player_Wait1st:enteredState()
end



function Player_Wait1st:draw()
	
	self.ui:draw(self.displayStats)
	self.ui.map:draw(self.ui.mapX_Offs, self.ui.mapY_Offs)
	
end



function Player_Wait1st:keypressed(key)
	
	if key == "escape" then self:gotoState("Menu")
	elseif key == "tab" then self:toggleFullscreen()
	end
	
end



function Player_Wait1st:mousepressed(x, y, button)
	
	local _, _, coordStr = self.ui:getClickedField(x, y)
	if coordStr then
		local size, color, special = self.ui.map.map[coordStr].size, self.ui.map.map[coordStr].col, self.ui.map.map[coordStr].special
		if size == 2 and special ~= "locked" then
			self.playermove_start = coordStr
			self.ui.debug_playermove_start = self.playermove_start
			self.ui.map.floodfillColorindex = color
			self:gotoState("Player_Wait2nd")
		else
			self.playermove_start = nil
		end
	end
	
end



function Player_Wait1st:mousemoved(x, y)
	
	local _, _, coordStr = self.ui:getClickedField(x, y)
	if coordStr then self.ui:displayFieldDebugInfo(coordStr, x, y) else self.ui.debugInfo = "" end
	
end
