
io.stdout:setvbuf("no")


function love.load()
	
	if arg[#arg] == "-debug" then require("mobdebug").start() end
	
	Class = require"libs.middleclass_320"
	Stateful = require"libs.stateful_103"
	
	--love.window.setFullscreen(true, "desktop")
	love.window.setMode(700, 400, {resizable = false, borderless = true, centered = true})
	require"game"
	require"game_menu"
	require"game_ballsturn"
	require"game_player_wait1st"
	require"game_player_wait2nd"
	
	game = Game()
	
	love.window.setTitle("Fives remake")
	
	local iconCanvas = love.graphics.newCanvas(64, 64)
	love.graphics.setCanvas(iconCanvas)
	love.graphics.setColor{0, 0, 0}
	love.graphics.rectangle("fill", 2, 2, 63, 63, 8, 8, 2)
	love.graphics.setColor{250, 20, 50}
	love.graphics.circle("fill", 64/2+1, 64/2+1, 64/2.5, 32)
	love.graphics.setBlendMode("add")
	love.graphics.setColor(65, 65, 65)
	love.graphics.circle("fill", 64/2.2, 64/2.2, 64/3, 32)
	love.graphics.circle("fill", 64/2.3, 64/2.3, 64/4, 32)
	love.graphics.circle("fill", 64/2.4, 64/2.4, 64/5, 32)
	love.graphics.circle("fill", 64/2.4, 64/2.4, 64/6, 32)
	love.graphics.setBlendMode("alpha")
	love.graphics.setCanvas()
	love.window.setIcon(iconCanvas:newImageData())
	love.graphics.setColor(255, 255, 255)
end



function love.update(dt)
end



function love.draw()
	game:draw()
end



function love.mousemoved(x, y, dx, dy)
	game:mousemoved(x, y, dx, dy)
end



function love.mousepressed(x, y, button)
	game:mousepressed(x, y, button)
end



function love.mousereleased(x, y, button)
end



function love.keypressed(key)
	game:keypressed(key)
end



function love.keyreleased(key)
end



function love.focus(f)
end



function love.quit()
end
